#pragma once
#include "domain/tool_info.h"
#include "domain/bridge_info.h"
#include <optional>

namespace spin
{
    class IToolConnectionStatusProvider
    {
    public:
        virtual ~IToolConnectionStatusProvider() = default;
        virtual std::optional<ToolInfo> toolInfo() const = 0;
    };
    
} // namespace spin